Package com.ocient.metrics

# Class Metric<T>

java.lang.Object
com.ocient.metrics.Metric<T>

All Implemented Interfaces:
  `Supplier<T>`

Direct Known Subclasses:
  `Gauge`, `PerfCounter`

    public abstract class Metric<T>
    extends Object
    implements Supplier<T>

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `Metric.CounterType` | The different types of counters.
`static class` | `Metric.DataType` | The metric's data type.
`static class` | `Metric.MetricPath` | The identifier than a perfCounter.
`static class` | `Metric.NamedTag` | A Tag with a String or Integer identifier
`static class` | `Metric.Tag` | Tags that can be associated with a metric.
`static class` | `Metric.Units` | Possible units for interpreting counter values.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract Metric.CounterType` | `counterType()` |
`Metric.DataType` | `dataType()` |
`Metric.MetricPath` | `path()` |
`Metric.Units` | `units()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Supplier

`get`

## Method Details

### path

public final Metric.MetricPath path()

Returns:
  this perf counter's path

### dataType

public final Metric.DataType dataType()

Returns:
  this perf counter's data `Metric.DataType`

### units

public final Metric.Units units()

Returns:
  the units of this perf counter

### counterType

public abstract Metric.CounterType counterType()

Returns:
  this perf counter's data `Metric.CounterType`